/**
 * gclc:fr.bigeon.gclc.ApplicationAttachement.java
 * Created on: Apr 19, 2017
 */
package fr.bigeon.gclc;

import fr.bigeon.gclc.exception.InvalidCommandName;

/**
 * <p>
 * TODO
 *
 * @author Emmanuel Bigeon
 *
 */
public interface ApplicationAttachement {
    /** Attach this object to a console application.
     * <p>
     * The attaching usually consist in the addition of commands in the console
     * application. The attached command should be specific to the attachement
     * (typically, the generic help command or the script command should not be
     * added through this mechanism).
     * 
     * @param application the application
     * @throws InvalidCommandName if a command name is invalid for the
     *             application. */
    void attach(ConsoleApplication application) throws InvalidCommandName;
}
